## org.eclipse.datatools.modelbase.sql.tables.impl
Class TableImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl

All Implemented Interfaces:
  SQLObject, Table

Direct Known Subclasses:
  BaseTableImpl, DerivedTableImpl, RoutineResultTableImpl

public abstract class TableImpl
extends SQLObjectImpl
implements Table

An implementation of the model object 'Table'.

The following features are implemented:

- `Columns`
- `Supertable`
- `Subtables`
- `Schema`
- `Udt`
- `Triggers`
- `Index`
- `Self Ref Column Generation`
- `Insertable`
- `Updatable`

See Also:
  Serialized Form

Method Summary
`Schema` `basicGetSchema()`
`Table` `basicGetSupertable()`
`StructuredUserDefinedType` `basicGetUdt()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`NotificationChain` `basicSetSupertable(Table newSupertable, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getColumns()`
`EList` `getIndex()`
`Schema` `getSchema()`
`ReferenceType` `getSelfRefColumnGeneration()`
`EList` `getSubtables()`
`Table` `getSupertable()`
`EList` `getTriggers()`
`StructuredUserDefinedType` `getUdt()`
`boolean` `isInsertable()`
`boolean` `isUpdatable()`
`void` `setSchema(Schema newSchema)`
`void` `setSelfRefColumnGeneration(ReferenceType newSelfRefColumnGeneration)`
`void` `setSupertable(Table newSupertable)`
`void` `setUdt(StructuredUserDefinedType newUdt)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getColumns

    public EList getColumns()

  Specified by:
    `getColumns` in interface `Table`
  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getSupertable

    public Table getSupertable()

  Specified by:
    `getSupertable` in interface `Table`
  Returns:
    the value of the 'Supertable' reference.
  See Also:
    `Table.setSupertable(Table)`, `SQLTablesPackage.getTable_Supertable()`, `Table.getSubtables()`

### basicGetSupertable

    public Table basicGetSupertable()

### basicSetSupertable

    public NotificationChain basicSetSupertable(Table newSupertable,
                                                NotificationChain msgs)

### setSupertable

    public void setSupertable(Table newSupertable)

  Specified by:
    `setSupertable` in interface `Table`
  Parameters:
    `newSupertable` - the new value of the 'Supertable' reference.
  See Also:
    `Table.getSupertable()`

### getSubtables

    public EList getSubtables()

  Specified by:
    `getSubtables` in interface `Table`
  Returns:
    the value of the 'Subtables' reference list.
  See Also:
    `SQLTablesPackage.getTable_Subtables()`, `Table.getSupertable()`

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Table`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Table.setSchema(Schema)`, `SQLTablesPackage.getTable_Schema()`, `Schema.getTables()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Table`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Table.getSchema()`

### getUdt

    public StructuredUserDefinedType getUdt()

  Specified by:
    `getUdt` in interface `Table`
  Returns:
    the value of the 'Udt' reference.
  See Also:
    `Table.setUdt(StructuredUserDefinedType)`, `SQLTablesPackage.getTable_Udt()`

### basicGetUdt

    public StructuredUserDefinedType basicGetUdt()

### setUdt

    public void setUdt(StructuredUserDefinedType newUdt)

  Specified by:
    `setUdt` in interface `Table`
  Parameters:
    `newUdt` - the new value of the 'Udt' reference.
  See Also:
    `Table.getUdt()`

### getTriggers

    public EList getTriggers()

  Specified by:
    `getTriggers` in interface `Table`
  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLTablesPackage.getTable_Triggers()`, `Trigger.getSubjectTable()`

### getIndex

    public EList getIndex()

  Specified by:
    `getIndex` in interface `Table`
  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getSelfRefColumnGeneration

    public ReferenceType getSelfRefColumnGeneration()

  Specified by:
    `getSelfRefColumnGeneration` in interface `Table`
  Returns:
    the value of the 'Self Ref Column Generation' attribute.
  See Also:
    `ReferenceType`, `Table.setSelfRefColumnGeneration(ReferenceType)`, `SQLTablesPackage.getTable_SelfRefColumnGeneration()`

### setSelfRefColumnGeneration

    public void setSelfRefColumnGeneration(ReferenceType newSelfRefColumnGeneration)

  Specified by:
    `setSelfRefColumnGeneration` in interface `Table`
  Parameters:
    `newSelfRefColumnGeneration` - the new value of the 'Self Ref Column Generation' attribute.
  See Also:
    `ReferenceType`, `Table.getSelfRefColumnGeneration()`

### isInsertable

    public boolean isInsertable()

  Specified by:
    `isInsertable` in interface `Table`
  Returns:
    the value of the 'Insertable' attribute.
  See Also:
    `SQLTablesPackage.getTable_Insertable()`

### isUpdatable

    public boolean isUpdatable()

  Specified by:
    `isUpdatable` in interface `Table`
  Returns:
    the value of the 'Updatable' attribute.
  See Also:
    `SQLTablesPackage.getTable_Updatable()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.